# Module `wibox.layout.constraint`

### Info:

- Copyright: 2012 Lukáš Hrázký
- Release: v3.5.4
- Author: Lukáš Hrázký

## Functions

draw (wibox, cr, width, height) | Draw a constraint layout
fit (width, height) | Fit a constraint layout into the given space
set_widget (widget) | Set the widget that this layout adds a constraint on.
set_strategy (val) | Set the strategy to use for the constraining.
set_width (val) | Set the maximum width to val.
set_height (val) | Set the maximum height to val.
reset () | Reset this layout.

## Functions

draw (wibox, cr, width, height)
  Draw a constraint layout

  ### Parameters:

  - wibox
  - cr
  - width
  - height
fit (width, height)
  Fit a constraint layout into the given space

  ### Parameters:

  - width
  - height
set_widget (widget)
  Set the widget that this layout adds a constraint on.

  ### Parameters:

  - widget
set_strategy (val)
  Set the strategy to use for the constraining. Valid values are 'max', 'min' or 'exact'. Throws an error on invalid values.

  ### Parameters:

  - val
set_width (val)
  Set the maximum width to val. nil for no width limit.

  ### Parameters:

  - val
set_height (val)
  Set the maximum height to val. nil for no height limit.

  ### Parameters:

  - val
reset ()
  Reset this layout. The widget will be unreferenced, strategy set to "max" and the constraints set to nil.

generated by LDoc 1.4.2